use hittingset::{DefaultEdge, Edge};
use plistore::{PLITable, RowIndex};

pub fn get_default_edge(table: &PLITable, p1: RowIndex, p2: RowIndex) -> DefaultEdge {
    let mut edge = DefaultEdge::empty(table.column_count());
    for column in 0..table.column_count() {
        if table.is_different_on_column(p1, p2, column) {
            edge.add(column);
        }
    }
    edge
}
